Package org.apache.sling.feature.extension.apiregions.api.config

# Class FactoryConfigurationDescriptionAddition

java.lang.Object
org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity
org.apache.sling.feature.extension.apiregions.api.config.ConfigurableEntityAddition
org.apache.sling.feature.extension.apiregions.api.config.FactoryConfigurationDescriptionAddition

public class FactoryConfigurationDescriptionAddition extends ConfigurableEntityAddition
Description of an OSGi factory configuration addition This class is not thread safe.

## Constructor Summary

Constructors
Constructor
Description
`FactoryConfigurationDescriptionAddition()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clear the object and set the defaults
`protected jakarta.json.JsonObjectBuilder`
`createJson()`
Convert this object into JSON
`void`
`fromJSONObject(jakarta.json.JsonObject jsonObj)`
Extract the metadata from the JSON object.
`List<String>`
`getInternalNames()`
Get the internal factory configuration name

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.ConfigurableEntityAddition

`getPropertyDescriptionAdditions`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity

`getAttributes, getBoolean, getInteger, getNumber, getString, getString, getStringArray, setDefaults, setString, setStringArray, toJSONObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FactoryConfigurationDescriptionAddition

public FactoryConfigurationDescriptionAddition()

## Method Details

### clear

public void clear()
Clear the object and set the defaults

Overrides:
  `clear` in class `ConfigurableEntityAddition`

### fromJSONObject

public void fromJSONObject(jakarta.json.JsonObject jsonObj) throws IOException
Extract the metadata from the JSON object. This method first calls `clear()`

Overrides:
  `fromJSONObject` in class `ConfigurableEntityAddition`
Parameters:
  `jsonObj` - The JSON Object
Throws:
  `IOException` - If JSON parsing fails

### getInternalNames

public List<String> getInternalNames()
Get the internal factory configuration name

Returns:
  Mutable list of internal names

### createJson

protected jakarta.json.JsonObjectBuilder createJson() throws IOException
Convert this object into JSON

Overrides:
  `createJson` in class `ConfigurableEntityAddition`
Returns:
  The json object builder
Throws:
  `IOException` - If generating the JSON fails